List search indexes
GET
/api/admin/indexes
const url = 'https://example.com/api/admin/indexes';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/admin/indexes \ --header 'Authorization: Bearer <token>'Retrieves all Redis search indexes and their source configurations
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Indexes retrieved successfully
Media typeapplication/json
object
indexes
required
List of index names
Array<string>
sources
required
Map of index names to source config IDs
object
key
additional properties
Array<string>
Examplegenerated
{ "indexes": [ "example" ], "sources": { "additionalProperty": [ "example" ] }}